GDAL

Public Attributes | List of all members
GDALGridInverseDistanceToAPowerOptions Struct Reference

Inverse distance to a power method control options. More...

`#include <gdal_alg.h>`

## Public Attributes
size_t | nSizeOfStructure
double | dfPower
double | dfSmoothing
double | dfAnisotropyRatio
double | dfAnisotropyAngle
double | dfRadius1
double | dfRadius2
double | dfAngle
GUInt32 | nMaxPoints
GUInt32 | nMinPoints
double | dfNoDataValue

## Detailed Description

Inverse distance to a power method control options.

## Member Data Documentation

## ◆ dfAngle

double GDALGridInverseDistanceToAPowerOptions::dfAngle

Angle of ellipse rotation in degrees.

Ellipse rotated counter clockwise.

## ◆ dfAnisotropyAngle

double GDALGridInverseDistanceToAPowerOptions::dfAnisotropyAngle

Reserved for future use.

## ◆ dfAnisotropyRatio

double GDALGridInverseDistanceToAPowerOptions::dfAnisotropyRatio

Reserved for future use.

## ◆ dfNoDataValue

double GDALGridInverseDistanceToAPowerOptions::dfNoDataValue

No data marker to fill empty points.

## ◆ dfPower

double GDALGridInverseDistanceToAPowerOptions::dfPower

Weighting power.

## ◆ dfRadius1

double GDALGridInverseDistanceToAPowerOptions::dfRadius1

The first radius (X axis if rotation angle is 0) of search ellipse.

## ◆ dfRadius2

double GDALGridInverseDistanceToAPowerOptions::dfRadius2

The second radius (Y axis if rotation angle is 0) of search ellipse.

## ◆ dfSmoothing

double GDALGridInverseDistanceToAPowerOptions::dfSmoothing

Smoothing parameter.

## ◆ nMaxPoints

GUInt32 GDALGridInverseDistanceToAPowerOptions::nMaxPoints

Maximum number of data points to use.

Do not search for more points than this number.

## ◆ nMinPoints

GUInt32 GDALGridInverseDistanceToAPowerOptions::nMinPoints

Minimum number of data points to use.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

## ◆ nSizeOfStructure

size_t GDALGridInverseDistanceToAPowerOptions::nSizeOfStructure

Added in GDAL 3.6 to detect potential ABI issues. Should be set to sizeof(GDALGridInverseDistanceToAPowerOptions)

The documentation for this struct was generated from the following file:

- gdal_alg.h